Class VersionPickerSearcher
java.lang.Object
com.atlassian.jira.issue.customfields.searchers.AbstractInitializationCustomFieldSearcher
com.atlassian.jira.issue.customfields.searchers.VersionPickerSearcher
- All Implemented Interfaces:
CustomFieldSearcher,FieldSortsCustomFieldSearcher,SortableCustomFieldSearcher,CustomFieldStattable,ValueLoaderCustomFieldSearcher,IssueSearcher<CustomField>
public class VersionPickerSearcher
extends AbstractInitializationCustomFieldSearcher
implements CustomFieldSearcher, SortableCustomFieldSearcher, CustomFieldStattable
CustomFieldSearcher for custom fields that allow to pick versions.-
Field Summary
Fields inherited from interface com.atlassian.jira.issue.search.searchers.IssueSearcher
log -
Constructor Summary
ConstructorsConstructorDescriptionVersionPickerSearcher(VersionManager versionManager, FieldVisibilityManager fieldVisibilityManager, VersionResolver versionResolver, JqlOperandResolver operandResolver, FieldFlagOperandRegistry fieldFlagOperandRegistry, VersionClauseContextFactory versionClauseContextFactory, PermissionManager permissionManager, ContextSetUtil contextSetUtil, FieldConfigSchemeClauseContextUtil clauseContextUtil, CustomFieldInputHelper customFieldInputHelper, ProjectManager projectManager, VelocityRequestContextFactory velocityRequestContextFactory, ApplicationProperties applicationProperties, VelocityTemplatingEngine templatingEngine) -
Method Summary
Modifier and TypeMethodDescriptionProvides an object that can be used to handle the clauses that this searcher generates.Provides an object that contains information about the Searcher.Provides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.Provides an object that will allow you to render the edit and view html for a searcher.getSorter(CustomField customField) Returns aLuceneFieldSorterthat can be used to sort the values of the custom field.getStatisticsMapper(CustomField customField) Since Jira v8.0 a "stattable" field must have a doc value of type:SortedDocValues,SortedSetDocValues,BinaryDocValues, orNumericDocValues.voidinit(CustomField field) This is the first time the searcher knows what its ID and names areMethods inherited from class com.atlassian.jira.issue.customfields.searchers.AbstractInitializationCustomFieldSearcher
getDescriptor, initMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface com.atlassian.jira.issue.customfields.CustomFieldSearcher
getDescriptor, initMethods inherited from interface com.atlassian.jira.issue.customfields.SortableCustomFieldSearcher
getFieldSorts, getValueLoader
-
Constructor Details
-
VersionPickerSearcher
public VersionPickerSearcher(VersionManager versionManager, FieldVisibilityManager fieldVisibilityManager, VersionResolver versionResolver, JqlOperandResolver operandResolver, FieldFlagOperandRegistry fieldFlagOperandRegistry, VersionClauseContextFactory versionClauseContextFactory, PermissionManager permissionManager, ContextSetUtil contextSetUtil, FieldConfigSchemeClauseContextUtil clauseContextUtil, CustomFieldInputHelper customFieldInputHelper, ProjectManager projectManager, VelocityRequestContextFactory velocityRequestContextFactory, ApplicationProperties applicationProperties, VelocityTemplatingEngine templatingEngine)
-
-
Method Details
-
init
This is the first time the searcher knows what its ID and names are- Specified by:
initin interfaceIssueSearcher<CustomField>- Parameters:
field- the Custom Field for this searcher
-
getSearchInformation
Description copied from interface:IssueSearcherProvides an object that contains information about the Searcher.- Specified by:
getSearchInformationin interfaceIssueSearcher<CustomField>- Returns:
- the search information provider for this searcher.
-
getSearchInputTransformer
Description copied from interface:IssueSearcherProvides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.- Specified by:
getSearchInputTransformerin interfaceIssueSearcher<CustomField>- Returns:
- the search input handler for this searcher.
-
getSearchRenderer
Description copied from interface:IssueSearcherProvides an object that will allow you to render the edit and view html for a searcher. This also provides methods that indicate if the view and edit methods should be invoked.- Specified by:
getSearchRendererin interfaceIssueSearcher<CustomField>- Returns:
- the search renderer for this searcher.
-
getCustomFieldSearcherClauseHandler
Description copied from interface:CustomFieldSearcherProvides an object that can be used to handle the clauses that this searcher generates.- Specified by:
getCustomFieldSearcherClauseHandlerin interfaceCustomFieldSearcher- Returns:
- an object that can be used to handle the clauses that this searcher generates, can be null.
-
getSorter
Description copied from interface:SortableCustomFieldSearcherReturns aLuceneFieldSorterthat can be used to sort the values of the custom field.- Specified by:
getSorterin interfaceSortableCustomFieldSearcher- Parameters:
customField- the custom field to be sorted- Returns:
- a
LuceneFieldSorterthat can be used to load or sort the values of the custom field
-
getStatisticsMapper
Description copied from interface:CustomFieldStattableSince Jira v8.0 a "stattable" field must have a doc value of type:SortedDocValues,SortedSetDocValues,BinaryDocValues, orNumericDocValues. Before Jira v8.0 "stattable" fields were retrieved from a Jira cache build from from Lucene index. Since Jira v8.0 this cache is using LuceneDocValuesdirectly. SeeDocValuesand supported implementations for details.- Specified by:
getStatisticsMapperin interfaceCustomFieldStattable
-